summaryrefslogtreecommitdiff
path: root/dmake/tests/targets-18
diff options
context:
space:
mode:
Diffstat (limited to 'dmake/tests/targets-18')
-rwxr-xr-xdmake/tests/targets-1852
1 files changed, 52 insertions, 0 deletions
diff --git a/dmake/tests/targets-18 b/dmake/tests/targets-18
new file mode 100755
index 000000000000..0e75ddb0f55e
--- /dev/null
+++ b/dmake/tests/targets-18
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+# 21.06.2007 Volker Quetschke
+# Check that OOODMAKEMODE can switches of the ./foo to foo normalization.
+# (issue 74007)
+
+: ${DMAKEPROG:=dmake}
+file1="mfile1.mk"
+tmpfiles="$file1"
+
+trap '{ echo "trapped signal - removing temporary files" ; rm -rf $tmpfiles ; }' 1 2 3 15
+
+# Remove files from prior failed run
+rm -rf $tmpfiles
+
+# Remember to quote variables in generated makefiles( $ -> \$ ).
+cat > $file1 <<EOT
+SHELL*:=/bin/sh
+SHELLFLAGS*:=-ce
+
+.IMPORT : OOODMAKEMODE
+
+# See if OOODMAKEMODE works
+./all :
+ @echo X\$@Y
+
+EOT
+
+
+output1=`eval OOODMAKEMODE="" ${DMAKEPROG} -rf $file1 2>&1 `
+result1=$?
+if test $result1 -ne 0 -o "$output1" != "XallY"; then
+ echo "Test 1: Wrong result: $output1"
+ result1=1
+fi
+
+
+output2=`eval OOODMAKEMODE=y ${DMAKEPROG} -rf $file1 2>&1 `
+result2=$?
+if test $result2 -ne 0 -o "$output2" != "X./allY"; then
+ echo "Test 2: Wrong result: $output2"
+ result2=1
+fi
+
+if test $result1 -eq 0 -a $result2 -eq 0; then
+ echo "Success - Cleaning up"
+ rm -rf $tmpfiles
+ exit 0
+else
+ echo "Failure!"
+ exit 1
+fi